Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.repository
Interface ModeShapeConfiguration.RepositorySourceDefinition<ReturnType>

Type Parameters:
  `ReturnType` - the type of the configuration component that owns this definition object

All Superinterfaces:
  ModeShapeConfiguration.ChooseClass<RepositorySource,ModeShapeConfiguration.RepositorySourceDefinition<ReturnType>>, ModeShapeConfiguration.HasName, ModeShapeConfiguration.Removable<ReturnType>, ModeShapeConfiguration.Returnable<ReturnType>, ModeShapeConfiguration.SetDescription<ModeShapeConfiguration.RepositorySourceDefinition<ReturnType>>, ModeShapeConfiguration.SetProperties<ModeShapeConfiguration.RepositorySourceDefinition<ReturnType>>

All Known Implementing Classes:
  ModeShapeConfiguration.SourceBuilder

Enclosing class:
  ModeShapeConfiguration

    public static interface ModeShapeConfiguration.RepositorySourceDefinition<ReturnType>

extends ModeShapeConfiguration.Returnable<ReturnType>, ModeShapeConfiguration.SetDescription<ModeShapeConfiguration.RepositorySourceDefinition<ReturnType>>, ModeShapeConfiguration.SetProperties<ModeShapeConfiguration.RepositorySourceDefinition<ReturnType>>, ModeShapeConfiguration.ChooseClass<RepositorySource,ModeShapeConfiguration.RepositorySourceDefinition<ReturnType>>, ModeShapeConfiguration.Removable<ReturnType>, ModeShapeConfiguration.HasName

Interface used to set up and define a RepositorySource instance.

Method Summary
`ModeShapeConfiguration.RepositorySourceDefinition<ReturnType>` | `setRetryLimit(int retryLimit)` Set the retry limit on the repository source.

Methods inherited from interface org.modeshape.repository.ModeShapeConfiguration.Returnable
`and`

Methods inherited from interface org.modeshape.repository.ModeShapeConfiguration.SetDescription
`getDescription, setDescription`

Methods inherited from interface org.modeshape.repository.ModeShapeConfiguration.SetProperties
`getProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty`

Methods inherited from interface org.modeshape.repository.ModeShapeConfiguration.ChooseClass
`usingClass, usingClass`

Methods inherited from interface org.modeshape.repository.ModeShapeConfiguration.Removable
`remove`

Methods inherited from interface org.modeshape.repository.ModeShapeConfiguration.HasName
`getName`

Method Detail

### setRetryLimit

    ModeShapeConfiguration.RepositorySourceDefinition<ReturnType> setRetryLimit(int retryLimit)

  Set the retry limit on the repository source. This is equivalent to calling `ModeShapeConfiguration.SetProperties.setProperty(String, int)` with " `dna:retryLimit`" as the property name.

  Parameters:
    `retryLimit` - the retry limit
  Returns:
    this definition, for method chaining purposes
  See Also:
    `RepositorySource.setRetryLimit(int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.